package com.waytous.anticollision.tcp

/**
 * 消息同步监听器
 * */
interface SyncMessageListener<T> {

    /**
     * 设备注册
     * @param data
     * */
    fun onRegistered(data:T)

    /**
     * 设备鉴权
     * @param data
     * */
    fun onAuthenticated(data:T)

    /**
     * 平台通用应答
     * @param data
     * */
    fun onCommonResponse(data:T)
}